> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mattildapayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# IP Address Forwarding

> Best practices on handling the original IP address for a transaction.

Some payment service providers will require the IP address of the buyer to be
sent to them for anti fraud purposes.

## Embed

By default, when using [Embed](/guides/payments/embed/options) the IP address of the buyer will
be passed to the payment service automatically by us where needed.

## Server-to-server

When you are creating transactions on behalf of a buyer via your own server
without the use of Embed, you can pass the IP address of the buyer to us via
the `X-Forwarded-For` header.

```sh theme={"dark"}
curl --header "X-Forwarded-For: 192.168.0.2" https://api.mattildapayments.com/...
```

<Note>Most of [our SDKs](./authentication) support passing through this header on the `POST transactions` call.</Note>

We will automatically accept this header and pass it to the payment service
where needed.

<Warning>
  Not all endpoints pass the IP address to a connector. It is recommended
  to send the IP address whenever it is available.
</Warning>
